

CREATE TABLE "T_PROVINCIA" (
"ID_PROVINCIA" NUMBER(4,0) NOT NULL,
"NOMBRE" VARCHAR2(50) NOT NULL,
CONSTRAINT "PK_PROVINCIA" PRIMARY KEY ("ID_PROVINCIA")
);

CREATE TABLE "T_ZONAL" (
"ID_ZONAL" NUMBER(4,0) NOT NULL,
"ID_PROVINCIA" NUMBER(4,0) NOT NULL,
"NOMBRE" VARCHAR2(50) NOT NULL,
"CODIGO" VARCHAR2(5) NOT NULL,
"RESPONSABLE" VARCHAR2(200),
"TELEFONO" VARCHAR2(200),
"FAX" VARCHAR2(200),
"CEL_GUARDIA" VARCHAR2(200),
"EMAIL" VARCHAR2(100),
"DIRECCION" VARCHAR2(500),
"CODIGO_POSTAL" VARCHAR2(10),
"OBSERVACION" VARCHAR2(1000),
"FECHA_ALTA" DATE,
"ID_USUARIO_ALTA" NUMBER(10,0),
"FECHA_MODIFICACION" DATE,
"ID_USUARIO_MODIF" NUMBER(10,0),
"ACTIVO" NUMBER(1,0),
CONSTRAINT "PK_ZONAL" PRIMARY KEY ("ID_ZONAL"),
CONSTRAINT "FK_ZONAL_PROVINCIA" FOREIGN KEY ("ID_PROVINCIA") REFERENCES "T_PROVINCIA" ("ID_PROVINCIA"),
CONSTRAINT "FK_ZONAL_USU_ALTA" FOREIGN KEY ("ID_USUARIO_ALTA") REFERENCES "T_USUARIO" ("ID_USUARIO"),
CONSTRAINT "FK_ZONAL_USU_MODIF" FOREIGN KEY ("ID_USUARIO_MODIF") REFERENCES "T_USUARIO" ("ID_USUARIO")
);

CREATE TABLE "T_LOCAL" (
"ID_LOCAL" NUMBER(4,0) NOT NULL,
"ID_ZONAL" NUMBER(4,0) NOT NULL,
"NOMBRE" VARCHAR2(200) NOT NULL,
"CODIGO" VARCHAR2(5) NOT NULL,
"CONVENIO" NUMBER(1,0),
"SERVICIO_CONSTITUIDO" NUMBER(1,0),
"DIRECCION" VARCHAR2(500),
"TELEFONO" VARCHAR2(200),
"CEL_GUARDIA" VARCHAR2(200),
"EMAIL" VARCHAR2(100),
"OBSERVACION" VARCHAR2(1000),
"FECHA_ALTA" DATE,
"ID_USUARIO_ALTA" NUMBER(10,0),
"FECHA_MODIFICACION" DATE,
"ID_USUARIO_MODIF" NUMBER(10,0),
"ACTIVO" NUMBER(1,0),
CONSTRAINT "PK_LOCAL" PRIMARY KEY ("ID_LOCAL"),
CONSTRAINT "FK_LOCAL_ZONAL" FOREIGN KEY ("ID_LOCAL") REFERENCES "T_ZONAL" ("ID_ZONAL"),
CONSTRAINT "FK_LOCAL_USU_ALTA" FOREIGN KEY ("ID_USUARIO_ALTA") REFERENCES "T_USUARIO" ("ID_USUARIO"),
CONSTRAINT "FK_LOCAL_USU_MODIF" FOREIGN KEY ("ID_USUARIO_MODIF") REFERENCES "T_USUARIO" ("ID_USUARIO")
);
/

Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('2','Buenos Aires');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('3','Catamarca');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('4','Chaco');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('5','Chubut');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('6','Córdoba');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('7','Corrientes');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('8','Entre Ríos');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('9','Formosa');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('10','Jujuy');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('11','La Pampa');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('12','La Rioja');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('13','Mendoza');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('14','Misiones');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('15','Neuquén');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('16','Río Negro');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('17','Salta');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('18','San Juan');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('19','San Luis');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('20','Santa Cruz');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('21','Santa Fe');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('22','Santiago del Estero');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('23','Tierra del Fuego');
Insert into T_PROVINCIA (ID_PROVINCIA,NOMBRE) values ('24','Tucumán');
COMMIT;
/